Reply

Cutout profileSide

Hi again. 

I am not sure if I am misunderstanding something or what. I am trying to make a small rectangular cut in sheet metal. I can use either normal cutout or extruded. But both give me the same problem. 

I can't get it to remove the material form inside the profile. I tried changing the profileSide property but that doesn't affect it. Am I changing the wrong property? I can’t see any others in the SDK that I can imagine doing that. And the sample there seems to show that as the property to change. 

 

Below is the section of code:

(I apologize for my bad practice and I simply commented out the normal cutout code to try the extruded cutout) 

 

Dim profileList As New List(Of SolidEdgePart.Profile)
profileList.Add(cutProfile)


ExtrudedCutout = ExtrudedCutouts.AddThroughAll(cutProfile, SolidEdgePart.FeaturePropertyConstants.igRight, SolidEdgePart.FeaturePropertyConstants.igBoth)

MessageBox.Show(ExtrudedCutout.ProfileSide)
ExtrudedCutout.ProfileSide = SolidEdgePart.FeaturePropertyConstants.igLeft
MessageBox.Show(ExtrudedCutout.ProfileSide)
ExtrudedCutout.ProfileSide = SolidEdgePart.FeaturePropertyConstants.igBoth

 

 

'normalCutout = normalCutouts.AddFiniteMulti(1, profileList.ToArray(), SolidEdgePart.FeaturePropertyConstants.igRight, 5, SolidEdgePart.FeaturePropertyConstants.igSMMidPlaneCutout)

'MessageBox.Show(normalCutout.ProfileSide)
'normalCutout.ProfileSide = SolidEdgePart.FeaturePropertyConstants.igLeft
'MessageBox.Show(normalCutout.ProfileSide)
'normalCutout.ProfileSide = SolidEdgePart.FeaturePropertyConstants.igRight
'MessageBox.Show(normalCutout.ProfileSide)

 

As you can see I tried changing the profileSide property to see if it would change it, but it still removed all the material from outside the profile.

Any help is appreciated

 

Thanks

Keegan